Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063514 - cinder_gluster_servers default value in controller host groups is confusing
Summary: cinder_gluster_servers default value in controller host groups is confusing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-foreman-installer
Version: 4.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: z2
: 4.0
Assignee: Crag Wolfe
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-10 21:51 UTC by Crag Wolfe
Modified: 2014-03-04 20:16 UTC (History)
7 users (show)

Fixed In Version: openstack-foreman-installer-1.0.4-1.el6ost
Doc Type: Bug Fix
Doc Text:
The default value of the parameter cinder_gluster_servers is now presented as an array of IP addresses. This makes it consistent with all other parameters within the same user interface.
Clone Of:
Environment:
Last Closed: 2014-03-04 20:16:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0213 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform 4 Bug Fix and Enhancement Advisory 2014-03-05 01:11:55 UTC

Description Crag Wolfe 2014-02-10 21:51:51 UTC
Description of problem:

In the Foreman UI, the parameter cinder_gluster_servers in either of the controller host groups has a default value of "${$quickstack::params:cinder_gluster_servers}."  This is inconsistent with all other parameters in the UI, and may be a cause for confusion for the user.  To be consistent with other parameters in the UI, an array of IP's should be presented.

Version-Release number of selected component (if applicable):
openstack-foreman-installer-1.0.3-1.el6ost.noarch

Comment 2 Jason Guiditta 2014-02-11 17:12:24 UTC
Merged:
https://github.com/redhat-openstack/astapor/pull/124

Comment 4 Omri Hochman 2014-02-23 09:16:14 UTC
Verified with (Havana A2 - RHOS4.0 2014-02-17.1) - openstack-foreman-installer-1.0.4-1.el6ost.noarch

Checked both controller-neutron / controllr (nova-network) : 

In host-groups parameters looks as Array:
- cinder_gluster_servers ["192.168.0.4", "192.168.0.5", "192.168.0.6"]

Comment 6 errata-xmlrpc 2014-03-04 20:16:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0213.html


Note You need to log in before you can comment on or make changes to this bug.